Last Comment Bug 743927 - BrowserID is included twice on each page
: BrowserID is included twice on each page
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: Persona (show other bugs)
: Production
: All All
: -- trivial (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 00:52 PDT by Byron Jones ‹:glob› [PTO until 2017-01-09]
Modified: 2013-01-10 22:35 PST (History)
1 user (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
allizom (59.21 KB, image/png)
2012-07-05 09:42 PDT, Gary Kwong [:gkw] [:nth10sd]
no flags Details

Description Byron Jones ‹:glob› [PTO until 2017-01-09] 2012-04-10 00:52:44 PDT
due to the account/auth/login-additional_methods being in the header and the footer, currently https://browserid.org/include.js is loaded twice, and browserid_sign_in() is declared twice.
Comment 1 Gary Kwong [:gkw] [:nth10sd] 2012-07-05 09:42:01 PDT
Created attachment 639377 [details]
allizom

I see this on https://bugzilla.allizom.org/ then clicking File a Bug, as well.
Comment 2 Gervase Markham [:gerv] 2012-12-18 09:16:08 PST
Fixed in revision 16.

Gerv
Comment 3 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-01-10 22:35:33 PST
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0/
modified extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
modified extensions/BrowserID/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
added extensions/BrowserID/template/en/default/hook/global/header-additional_header.html.tmpl
Committed revision 8438.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
modified extensions/BrowserID/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
added extensions/BrowserID/template/en/default/hook/global/header-additional_header.html.tmpl
Committed revision 8493.

Note You need to log in before you can comment on or make changes to this bug.